﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.Core;
using HeuristicLab.MainForm;
using HeuristicLab.Optimization;
using HeuristicLab.PluginInfrastructure;
using HeuristicLab.Hive.JobBase;

namespace HeuristicLab.Hive.Experiment.Views {
  [View("JobConfigListView")]
  [Content(typeof(IItemList<IJob>), true)]
  public partial class JobConfigListView : ItemListView<IJob> {

    public JobConfigListView() {
      InitializeComponent();
      itemsGroupBox.Text = "Child Job Configuration";
    }

    protected override IJob CreateItem() {
      return null;
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
      this.addButton.Enabled = false;
      this.moveDownButton.Enabled = false;
      this.moveUpButton.Enabled = false;
      this.removeButton.Enabled = false;
    }
  }
}
