﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Hive.JobBase;
using HeuristicLab.Optimization;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Hive.Experiment.Jobs {
  [StorableClass]
  public class BatchRunJob : OptimizerJob {
    public BatchRunJob() {
    }

    public BatchRunJob(IOptimizer optimizer) : base(optimizer) { }

    public override void Start() {
      base.Start();
    }

    public override bool IsParallelizable {
      get { return true; }
    }
  }
}
